package org.acme;

import jakarta.inject.Inject;
import jakarta.jws.WebMethod;
import jakarta.jws.WebService;

/**
 * The simplest Hello service implementation.
 */
@WebService(serviceName = "HelloService")
public class HelloServiceImpl implements HelloService {

    @Inject
    HelloUtil helloUtil;

    @WebMethod
    @Override
    public HelloResponse hello(String name) {
        return helloUtil.hello(name);
    }

}
