package org.acme;

import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class HelloUtil {

    private int requestCount;

    public HelloResponse hello(String name) {
        requestCount++;
        if (requestCount % 2 == 0) {
            return new HelloResponseSimpleImpl("Hello " + name, Integer.valueOf(200));
        } else {
            return new HelloResponseQuarkusImpl("Hello " + name, Integer.valueOf(200));
        }
    }
}
